package com.elitesland.router.bean;

import lombok.Data;

import java.util.ArrayList;

/*
 *@Author Horbin.Zhang
 *@Date 2021-02-10 19:21
 *@Description 路由定义类，封装了路由的全局Id、断言集合、过滤器集合配置、转发uri以及执行顺序等
 */
@Data
public class GatewayRouteDefinition{
    //路由的Id
    private String id;
    //路由断言集合配置
    private ArrayList<GatewayPredicateDefinition> predicates = new ArrayList<>();
    //路由过滤器集合配置
    private ArrayList<GatewayFilterDefinition> filters = new ArrayList<>();
    //路由规则转发的目标uri
    private String uri;
    //路由执行的顺序
    private int order = 0;
//此处省略get和set方法
}